use utf8;

dvorak => [[
	[qw/^` ^1 ^2 ^3 ^4 ^5 ^6 ^7 ^8 ^9 ^0 ^[ ^]/],
	[qw/ ~  !  @  #  $  %  ^  &  *  (  )  {  }/],
	[qw/ `  1  2  3  4  5  6  7  8  9  0  [  ]/],
], [
	[qw(^' ^, ^. ^p ^y ^f ^g ^c ^r ^l ^/ ^=)],
	[qw( "  <  >  P  Y  F  G  C  R  L  ?  +)],
	[qw( '  ,  .  p  y  f  g  c  r  l  /  =)],
], [
	[qw/^a ^o ^e ^u ^i ^d ^h ^t ^n ^s ^- ^\\/],
	[qw/ A  O  E  U  I  D  H  T  N  S  _   |/],
	[qw/ a  o  e  u  i  d  h  t  n  s  -  \\/],
], [
	[qw/^; ^q ^j ^k ^x ^b ^m ^w ^v ^z/],
	[qw/ :  Q  J  K  X  B  M  W  V  Z/],
	[qw/ ;  q  j  k  x  b  m  w  v  z/],
]],

qwerty => [[
	[qw/^` ^1 ^2 ^3 ^4 ^5 ^6 ^7 ^8 ^9 ^0 ^- ^=/],
	[qw/ ~  !  @  #  $  %  ^  &  *  (  )  _  +/],
	[qw/ `  1  2  3  4  5  6  7  8  9  0  -  =/],
], [
	[qw/^q ^w ^e ^r ^t ^y ^u ^i ^o ^p ^[ ^]/],
	[qw/ Q  W  E  R  T  Y  U  I  O  P  {  }/],
	[qw/ q  w  e  r  t  y  u  i  o  p  [  ]/],
], [
	[qw/^a ^s ^d ^f ^g ^h ^j ^k ^l ^; ^' ^\\/],
	[qw/ A  S  D  F  G  H  J  K  L  :  "   |/],
	[qw/ a  s  d  f  g  h  j  k  l  ;  '  \\/],
], [
	[qw(^z ^x ^c ^v ^b ^n ^m ^, ^. ^/)],
	[qw( Z  X  C  V  B  N  M  <  >  ?)],
	[qw( z  x  c  v  b  n  m  ,  .  /)],
]],

qwertz => [[
	['',qw/^1 ^2 ^3 ^4 ^5 ^6  {  [  ]  } \\ ^`/],
	[qw{ °  !  "  §  $  %  &  /  (  )  =  ?  `}],
	[qw/ ^  1  2  3  4  5  6  7  8  9  0  ß  ´/],
], [
	[qw/ @ ^w ^e ^r ^t ^z ^u ^i ^o ^p ^ü  ~/],
	#    ^ show altgr-Q instead
	[qw/ Q  W  E  R  T  Z  U  I  O  P  Ü  */],
	[qw/ q  w  e  r  t  z  u  i  o  p  ü  +/],
], [
	[qw/^a ^s ^d ^f ^g ^h ^j ^k ^l ^; ^\\ ^'/],
	[qw/ A  S  D  F  G  H  J  K  L  Ö   Ä  '/],
	[qw/ a  s  d  f  g  h  j  k  l  ö   ä  #/],
], [
	[qw(^y ^x ^c ^v ^b ^n ^m ^, ^. ^-  |)],
	[qw( Y  X  C  V  B  N  M  ;  :  _  >)],
	[qw( y  x  c  v  b  n  m  ,  .  -  <)],
]],

arensito => [[
	[qw/^` ^1 ^2 ^3 ^4 ^5 ^6 ^7 ^8 ^9 ^0 ^[ ^]/],
	[qw/ ~  !  @  #  $  %  ^  &  *  (  )  {  }/],
	[qw/ `  1  2  3  4  5  6  7  8  9  0  [  ]/],
], [
	[qw(^q ^l ^' ^p ^, ^. ^f ^u ^d ^k ^/ ^=)],
	[qw( Q  L  "  P  <  >  F  U  D  K  ?  +)],
	[qw( q  l  '  p  ,  .  f  u  d  k  /  =)],
], [
	[qw/^a ^r ^e ^n ^b ^g ^s ^i ^t ^o ^- ^\\/],
	[qw/ A  R  E  N  B  G  S  I  T  O  _   |/],
	[qw/ a  r  e  n  b  g  s  i  t  o  -  \\/],
], [
	[qw/^z ^w ^; ^h ^j ^v ^c ^y ^m ^x/],
	[qw/ Z  W  :  H  J  V  C  Y  M  X/],
	[qw/ z  w  ;  h  j  v  c  y  m  x/],
]],

